                       ===============================
                                      XD
                                      by
                               Frank B. Brokken
                             <f.b.brokken@rug.nl>
                       ===============================

Thank you for retrieving XD!
----------------------------

The XD program is a smart directory changer. In cases where you have to change
directories, you probably often have enter long commands, like

    cd /usr/include/c++/4.3/i486-linux-gnu/bits

For case like this, xd was developed. XD uses the initial characters of
subdirectories to expand them for you. Instead of the above command,
a simple

    xd uic4ib

would be enough. The command may seem weird at first, but realize that you
know where you wanted to go to: while telling yourself where you want to go to
you simply enter the initial character of the directory you mumble to
yourself. That's all.

The program and its sources is distributed under the terms of the GNU General
Public Licence.


When xd is started without arguments you get something like:

======================================================================
xd by Frank B. Brokken (f.b.brokken@rug.nl)
xd V4.00.00 1994-2022

Usage: xd [options] args
Where:
   [options] - optional arguments (short options and default values between
               parentheses):
  --all (-a)                - skip `ignore' specification in the
                              configuration file
  --block-size (-b) size    - show the alternatives in blocks of max.
                              'size' alternatives (spacebar to continue)
  --config-file (-c) <file> - path to the config file to use
                              ($HOME/.xdrc)
  --add-root <when>         - search expansions from / (if-empty)
  --directories <which>     - which directories to show? (default: all)
  --generalized-search (-g) - use the GDS mode
  --help (-h)               - provide this help
  --history <fname>         - use <fname> to store info about choices
                              (no history unless specified)
  --history-lifetime <spec> - specify the max. lifetime of previously made
                              choices. Use <int>[DWMY] for a lifetime of
                              Days, Months, Weeks, or Years
  --history-position <where = TOP>  - where to put the previously made choices
                              (TOP, BOTTOM)
  --history-maxsize <size = UINT_MAX>  - display at most <size> previously
                              made choices
  --history-separate        - separate previously made choices from new ones
                              by a blank line (not with --block-size)
  --input                   - a non-selection character ends XD and is entered
                              into the shell's input stream
  --start-at <origin>       - where to start the search? (default: home dir.)
  --traditional             - use the traditional mode
  --version (-v)            - show version information and terminate
  --verbose (-V)            - show xd's actions in detail
  args     - arguments, possibly containing directory separators [/-].

xd eXchanges Directories by interpreting the characters of its
argument(s) as the initial characters of nested subdirectories.
Multiple arguments or arguments separated by / or - define the
initial characters of subsequently nested subdirectories.

If the first argument starts with . expansion starts at the user's
home directory; if it's 0 expansion starts in the current directory;
if it's / expansion starts at the root; if it's a number (1 .. 9) 
expansion starts at parent <number>; otherwise expansion starts
at the location defined by the configuration file

When the specification results in multiple solutions, a final
selection is requested from a displayed list of alternatives.

Use 'man xd' or read the xdrc file provided with the distribution
for details about "xd's configuration file
======================================================================


This should help you out to configure xd to your needs. The man-page provides
much more information about how to use xd.


I hope you find xd useful and will enjoy using it.

Frank.
